/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * length(vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => np.float32(1.267675)
 * length(vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => np.float32(2.5925663)
 */
#version 150

void main()
{
  float[distance(length(vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), np.float32(1.267675)) <= np.float32(1.2676751e-05) ? 1 : -1] array0;
  float[distance(length(vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), np.float32(2.5925663)) <= np.float32(2.5925663e-05) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
