/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * sinh(vec2(np.float32(-2.0), np.float32(-0.6666667))) => vec2(np.float32(-3.6268604), np.float32(-0.7171585))
 * sinh(vec2(np.float32(0.6666667), np.float32(2.0))) => vec2(np.float32(0.7171585), np.float32(3.6268604))
 */
#version 150

void main()
{
  float[distance(sinh(vec2(np.float32(-2.0), np.float32(-0.6666667))), vec2(np.float32(-3.6268604), np.float32(-0.7171585))) <= np.float32(0.0036970845) ? 1 : -1] array0;
  float[distance(sinh(vec2(np.float32(0.6666667), np.float32(2.0))), vec2(np.float32(0.7171585), np.float32(3.6268604))) <= np.float32(0.0036970845) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
