/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * sinh(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0))) => vec4(np.float32(-3.6268604), np.float32(-0.7171585), np.float32(0.7171585), np.float32(3.6268604))
 */
#version 150

void main()
{
  float[distance(sinh(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0))), vec4(np.float32(-3.6268604), np.float32(-0.7171585), np.float32(0.7171585), np.float32(3.6268604))) <= np.float32(0.005228467) ? 1 : -1] array0;
  gl_Position = vec4(array0.length());
}
