/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * tanh(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0))) => vec4(np.float32(-0.9640276), np.float32(-0.582783), np.float32(0.582783), np.float32(0.9640276))
 */
#version 150

void main()
{
  float[distance(tanh(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0))), vec4(np.float32(-0.9640276), np.float32(-0.582783), np.float32(0.582783), np.float32(0.9640276))) <= np.float32(0.0015931008) ? 1 : -1] array0;
  gl_Position = vec4(array0.length());
}
