/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * fract(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0))) => vec4(np.float32(0.0), np.float32(0.3333333), np.float32(0.6666667), np.float32(0.0))
 */
#version 120

void main()
{
  float[distance(fract(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0))), vec4(np.float32(0.0), np.float32(0.3333333), np.float32(0.6666667), np.float32(0.0))) <= np.float32(7.4535596e-06) ? 1 : -1] array0;
  gl_FragColor = vec4(array0.length());
}
