/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * mix(dvec4(np.float64(-2.0)lf, np.float64(-2.0)lf, np.float64(-2.0)lf, np.float64(-2.0)lf), dvec4(np.float64(-3.0)lf, np.float64(-3.0)lf, np.float64(3.0)lf, np.float64(3.0)lf), bvec4(true, false, true, false)) => dvec4(np.float64(-3.0)lf, np.float64(-2.0)lf, np.float64(3.0)lf, np.float64(-2.0)lf)
 * mix(dvec4(np.float64(2.0)lf, np.float64(2.0)lf, np.float64(2.0)lf, np.float64(2.0)lf), dvec4(np.float64(-3.0)lf, np.float64(-3.0)lf, np.float64(3.0)lf, np.float64(3.0)lf), bvec4(true, false, true, false)) => dvec4(np.float64(-3.0)lf, np.float64(2.0)lf, np.float64(3.0)lf, np.float64(2.0)lf)
 */
#version 400

void main()
{
  double[distance(mix(dvec4(np.float64(-2.0)lf, np.float64(-2.0)lf, np.float64(-2.0)lf, np.float64(-2.0)lf), dvec4(np.float64(-3.0)lf, np.float64(-3.0)lf, np.float64(3.0)lf, np.float64(3.0)lf), bvec4(true, false, true, false)), dvec4(np.float64(-3.0)lf, np.float64(-2.0)lf, np.float64(3.0)lf, np.float64(-2.0)lf)) <= np.float64(5.0990195135927854e-05)lf ? 1 : -1] array0;
  double[distance(mix(dvec4(np.float64(2.0)lf, np.float64(2.0)lf, np.float64(2.0)lf, np.float64(2.0)lf), dvec4(np.float64(-3.0)lf, np.float64(-3.0)lf, np.float64(3.0)lf, np.float64(3.0)lf), bvec4(true, false, true, false)), dvec4(np.float64(-3.0)lf, np.float64(2.0)lf, np.float64(3.0)lf, np.float64(2.0)lf)) <= np.float64(5.0990195135927854e-05)lf ? 1 : -1] array1;
  gl_FragColor = vec4(array0.length() + array1.length());
}
