/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * log2(vec4(np.float32(0.01), np.float32(0.67333335), np.float32(1.3366667), np.float32(2.0))) => vec4(np.float32(-6.643856), np.float32(-0.5706072), np.float32(0.41863978), np.float32(1.0))
 */
#version 120

void main()
{
  float[distance(log2(vec4(np.float32(0.01), np.float32(0.67333335), np.float32(1.3366667), np.float32(2.0))), vec4(np.float32(-6.643856), np.float32(-0.5706072), np.float32(0.41863978), np.float32(1.0))) <= np.float32(6.755862e-05) ? 1 : -1] array0;
  gl_FragColor = vec4(array0.length());
}
