/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * transpose(mat4x2(np.float32(1.81), np.float32(-1.16), np.float32(-0.87), np.float32(-1.52), np.float32(0.81), np.float32(0.25), np.float32(0.65), np.float32(-1.51))) => mat2x4(np.float32(1.81), np.float32(-0.87), np.float32(0.81), np.float32(0.65), np.float32(-1.16), np.float32(-1.52), np.float32(0.25), np.float32(-1.51))
 * transpose(mat4x2(np.float32(1.93), np.float32(0.49), np.float32(-1.63), np.float32(0.27), np.float32(0.29), np.float32(0.14), np.float32(1.6), np.float32(0.94))) => mat2x4(np.float32(1.93), np.float32(-1.63), np.float32(0.29), np.float32(1.6), np.float32(0.49), np.float32(0.27), np.float32(0.14), np.float32(0.94))
 */
#version 120

void main()
{
  float[pow(distance(transpose(mat4x2(np.float32(1.81), np.float32(-1.16), np.float32(-0.87), np.float32(-1.52), np.float32(0.81), np.float32(0.25), np.float32(0.65), np.float32(-1.51)))[0], vec4(np.float32(1.81), np.float32(-0.87), np.float32(0.81), np.float32(0.65))), 2) + pow(distance(transpose(mat4x2(np.float32(1.81), np.float32(-1.16), np.float32(-0.87), np.float32(-1.52), np.float32(0.81), np.float32(0.25), np.float32(0.65), np.float32(-1.51)))[1], vec4(np.float32(-1.16), np.float32(-1.52), np.float32(0.25), np.float32(-1.51))), 2) <= np.float32(1.1110199e-09) ? 1 : -1] array0;
  float[pow(distance(transpose(mat4x2(np.float32(1.93), np.float32(0.49), np.float32(-1.63), np.float32(0.27), np.float32(0.29), np.float32(0.14), np.float32(1.6), np.float32(0.94)))[0], vec4(np.float32(1.93), np.float32(-1.63), np.float32(0.29), np.float32(1.6))), 2) + pow(distance(transpose(mat4x2(np.float32(1.93), np.float32(0.49), np.float32(-1.63), np.float32(0.27), np.float32(0.29), np.float32(0.14), np.float32(1.6), np.float32(0.94)))[1], vec4(np.float32(0.49), np.float32(0.27), np.float32(0.14), np.float32(0.94))), 2) <= np.float32(1.02421e-09) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
