/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * determinant(mat3(np.float32(-1.11), np.float32(0.13), np.float32(0.56), np.float32(1.67), np.float32(1.09), np.float32(0.95), np.float32(-0.41), np.float32(-0.02), np.float32(0.24))) => np.float32(-0.182645)
 * determinant(mat3(np.float32(-1.69), np.float32(-1.09), np.float32(-1.53), np.float32(-0.46), np.float32(1.75), np.float32(-0.7), np.float32(-0.18), np.float32(2.0), np.float32(-1.47))) => np.float32(3.5068932)
 */
#version 150

void main()
{
  float[distance(determinant(mat3(np.float32(-1.11), np.float32(0.13), np.float32(0.56), np.float32(1.67), np.float32(1.09), np.float32(0.95), np.float32(-0.41), np.float32(-0.02), np.float32(0.24))), np.float32(-0.182645)) <= np.float32(1.8264499e-06) ? 1 : -1] array0;
  float[distance(determinant(mat3(np.float32(-1.69), np.float32(-1.09), np.float32(-1.53), np.float32(-0.46), np.float32(1.75), np.float32(-0.7), np.float32(-0.18), np.float32(2.0), np.float32(-1.47))), np.float32(3.5068932)) <= np.float32(3.5068933e-05) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
