/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (+ mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5))) => mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5))
 * (+ mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74))) => mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74))
 */
#version 150

void main()
{
  float[pow(distance((+ mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)))[0], vec3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03))), 2) + pow(distance((+ mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)))[1], vec3(np.float32(1.94), np.float32(-0.75), np.float32(-0.5))), 2) <= np.float32(6.0510996e-10) ? 1 : -1] array0;
  float[pow(distance((+ mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)))[0], vec3(np.float32(1.38), np.float32(-1.27), np.float32(1.0))), 2) + pow(distance((+ mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)))[1], vec3(np.float32(-1.08), np.float32(1.83), np.float32(-0.74))), 2) <= np.float32(9.5802e-10) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
