/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * transpose(mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))) => mat2x3(np.float32(0.09), np.float32(1.3), np.float32(1.25), np.float32(-1.19), np.float32(0.08), np.float32(1.08))
 * transpose(mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))) => mat2x3(np.float32(-0.36), np.float32(-1.08), np.float32(-0.6), np.float32(-0.53), np.float32(0.88), np.float32(-1.79))
 */
#version 150

void main()
{
  float[pow(distance(transpose(mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[0], vec3(np.float32(0.09), np.float32(1.3), np.float32(1.25))), 2) + pow(distance(transpose(mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[1], vec3(np.float32(-1.19), np.float32(0.08), np.float32(1.08))), 2) <= np.float32(5.8495e-10) ? 1 : -1] array0;
  float[pow(distance(transpose(mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[0], vec3(np.float32(-0.36), np.float32(-1.08), np.float32(-0.6))), 2) + pow(distance(transpose(mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[1], vec3(np.float32(-0.53), np.float32(0.88), np.float32(-1.79))), 2) <= np.float32(5.9154e-10) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
